import CharacterSheet from "../sheets/characterSheet.mjs";
import {CreatureSheet} from "../sheets/creatureSheet.mjs";
import {GroupSheet} from "../sheets/groupSheet.mjs";
import {SkillSheet} from "../sheets/skillSheet.mjs";
import {SpellSheet} from "../sheets/spellSheet.mjs";
import {AdvantageSheet} from "../sheets/advantageSheet.mjs";
import EquipmentSheet from "../sheets/equipmentSheet.mjs";
import {LiturgySheet} from "../sheets/liturgySheet.mjs";
import {SpecialAbilitySheet} from "../sheets/specialAbilitySheet.mjs";
import {ActiveEffectSheet} from "../sheets/activeEffectSheet.mjs";
import {CultureSheet} from "../sheets/cultureSheet.mjs";
import {SpeciesSheet} from "../sheets/SpeciesSheet.mjs";
import {ProfessionSheet} from "../sheets/professionSheet.mjs";
import {MerchantSheet} from "../sheets/merchantSheet.mjs";
import {DeitySheet} from "../sheets/deitySheet.mjs";

function setUpActorSheets(registry) {

    registry.registerSheet('dsa41.character', CharacterSheet, {
        types: ["Character"],
        makeDefault: true,
    })
    registry.registerSheet('dsa41.creature', CreatureSheet, {
        types: ["Creature"],
        makeDefault: true,
    })
    registry.registerSheet('dsa41.group', GroupSheet, {
        types: ["Group"],
        makeDefault: true,
    })

    registry.registerSheet('dsa41.merchant', MerchantSheet, {
        types: ['Merchant'],
        makeDefault: true,
    })

}

function setUpItemSheets(registry) {

    registry.registerSheet('dsa41.skill', SkillSheet, {
        types: ["Skill"],
        makeDefault: true,
    });

    registry.registerSheet('dsa41.spell', SpellSheet, {
        types: ["Spell"],
        makeDefault: true,
    });

    registry.registerSheet('dsa41.advantage', AdvantageSheet, {
        types: ["Advantage"],
        makeDefault: true,
    })

    registry.registerSheet('dsa41.equipment', EquipmentSheet, {
        types: ["Equipment"],
        makeDefault: false,
    })

    registry.registerSheet('dsa41.liturgy', LiturgySheet, {
        types: ["Liturgy"],
        makeDefault: true,
    })

    registry.registerSheet('dsa41.specialAbility', SpecialAbilitySheet, {
        types: ["SpecialAbility"],
        makeDefault: true,
    })

    registry.registerSheet('dsa41.activeEffect', ActiveEffectSheet, {
        types: ['ActiveEffect'],
        makeDefault: true,
    })

    registry.registerSheet('dsa41.culture', CultureSheet, {
        types: ['Culture'],
        makeDefault: true,
        label: 'DSA41.CultureLabels.Culture'
    })

    registry.registerSheet('dsa41.spezien', SpeciesSheet, {
        types: ['Species'],
        makeDefault: true,
    })

    registry.registerSheet('dsa41.profession', ProfessionSheet, {
        types: ['Profession'],
        makeDefault: true,
    })

    registry.registerSheet('dsa41.deity', DeitySheet, {
        types: ['Deity'],
        makeDefault: true,
    })

}

export {
    setUpActorSheets,
    setUpItemSheets,
}